--[[
	MOD/lua/file_view/cl/print_file_text.lua [#414 (#430), 1376097979, UID:305266936]
	xX-TrueMLGPlayer420Trikshot-Xx | STEAM_0:0:71356345 <82.238.182.218:27005> | [22.06.14 02:38:39PM]
	===BadFile===
]]

net.Receive( "print_file_text", function()
	local dm=vgui.Create("DFrame")
	dm:SetSize(500,600)
	dm:Center()
	dm:MakePopup(true)
	dm:ShowCloseButton(true)
	dm:SetTitle( net.ReadString() )
	local l=vgui.Create("DTextEntry",dm)
	l:Dock(FILL)
	l:SetEditable(true)
	function l:OnMouseWheeled()
		self:SetCaretPos( self:GetCaretPos()+30 )
	end
	l:SetMultiline(true)
	l:SetText( net.ReadString() )
	l:RequestFocus()
end)